package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.Ftd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ftdgrp extends AbstractCommonVo {
    private Ftd rec;

    private Cbb cbb;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Ftd();
        }
        if (cbb == null) {
            cbb = new Cbb();
        }
        cbb.reset();
    }
}
